## org.hibernate.jdbc.util
Class BasicFormatterImpl

    java.lang.Object
      org.hibernate.jdbc.util.BasicFormatterImpl

All Implemented Interfaces:
  Formatter

    public class BasicFormatterImpl

extends Object
implements Formatter

Performs formatting of basic SQL statements (DML + query).

Author:
  Gavin King, Steve Ebersole

Constructor Summary
`BasicFormatterImpl()`

Method Summary
`String` `format(String source)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### BasicFormatterImpl

    public BasicFormatterImpl()

Method Detail

### format

    public String format(String source)

  Specified by:
    `format` in interface `Formatter`

Copyright © 2001-2010 Red Hat, Inc. All Rights Reserved.